##
##  aegis.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         aegis
Summary:      Software Configuration Management System
URL:          http://aegis.sourceforge.net/
Vendor:       Peter Miller
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        BASE
Group:        SCM
License:      GPL
Version:      4.24
Release:      20080808

#   list of sources
Source0:      http://aegis.sourceforge.net/aegis-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, perl, bison, groff, gcc
PreReq:       OpenPKG, openpkg >= 20040130, perl
BuildPreReq:  zlib, bzip2, gettext, libiconv, file, uuid, curl, libxml, openssl
PreReq:       zlib, bzip2, gettext, libiconv, file, uuid, curl, libxml, openssl
AutoReq:      no
AutoReqProv:  no

%description
    Aegis is a transaction-based software configuration management system.  It
    provides a framework within which a team of developers may work on many
    changes to a program independently, and Aegis coordinates integrating
    these changes back into the master source of the program, with as little
    disruption as possible.

%track
    prog aegis = {
        version   = %{version}
        url       = http://aegis.sourceforge.net/download.html
        regex     = aegis-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %{l_shtool} subst \
        -e 's/-chown /-true /g' \
        -e 's/chgrp /true /g' \
        -e 's/\(\&\& *\)chmod /\1true /g' \
        Makefile.in

%build
    AEGIS_UID="%{l_muid}" \
    AEGIS_GID="%{l_mgid}" \
    CC="%{l_cc} %{l_cppflags} %{l_ldflags}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="-lssl -lcrypto -lintl -liconv" \
    PERL="%{l_prefix}/bin/perl" \
    ./configure -C \
        --prefix=%{l_prefix} \
        --disable-nls
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install \
        prefix=$RPM_BUILD_ROOT%{l_prefix} \
        exec_prefix=$RPM_BUILD_ROOT%{l_prefix}
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/com
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/cgi
    mv $RPM_BUILD_ROOT%{l_prefix}/bin/aegis.cgi $RPM_BUILD_ROOT%{l_prefix}/cgi/
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/aegis.cgi.i
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} \
        '%attr(4755,%{l_susr},%{l_sgrp}) %{l_prefix}/bin/aegis' \
        '%attr(4755,%{l_susr},%{l_sgrp}) %{l_prefix}/bin/aelock' \
        '%attr(4755,%{l_susr},%{l_sgrp}) %{l_prefix}/bin/aeimport'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

